PS
nged
BRL-CAD
BRL-CAD User Commands

# ps

Temporarily attaches the Postscript display manager and outputs the current MGED display to the specified output_file in PostScript format.

        ps

        -f font
        -t title
        -c creator
        -s size_in_inches
        -l line_width
        output_file

## DESCRIPTION

Temporarily attaches the Postscript display manager and outputs the current MGED display to the specified output_file in PostScript format. The -f option allows the font to be user- specified. The -t option allows the user to provide a title (the default is No Title). The -c option allows the user to specify the creator of the file (the default is LIBDM dm-ps). The s specifies the size of the drawing in inches. The l specifies the width of the lines drawn.

## EXAMPLES

The first example shows the use of the `ps` command to place a PostScript version of the current MGED display in a specified file and give it a particular title. The second example is much like the first except that a line width is specified and the title and output file names are different.

### Place a PostScript version of the current MGED display in a specified file.

mged>`ps -t "Test Title" test.ps`

Places a PostScript version of the current MGED display in a file named test.ps and titles it Test Title.

### Specify the line width of a PostScript version of the current MGED display in a specified file.

mged>`ps -l 10 -t "Test Fat Lines" fat_lines.ps`

Places a PostScript version of the current MGED display with fat lines in a file named fat_lines.ps and titles it Test Fat Lines.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.